## libnjb 2.2.7~dfsg0

=== debian/changelog ===
libnjb (2.2.7~dfsg0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097238)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Oct 2025 19:40:59 +0300

libnjb (2.2.7~dfsg0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct last upload (mostly; it should have gone to experimental instead).

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Nov 2023 00:55:53 +0100

libnjb (2.2.7~dfsg0-4.1) experimental; urgency=medium

  * Non-maintainer upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Chris Hofstaedtler ]
  * Install libnjb5.rules into /usr, with protective diversion against possible
    file loss as exhibited by Multi-Arch: same packages.
    Diversion code can be removed in forky+1.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 20 Nov 2023 18:52:25 +0100

libnjb (2.2.7~dfsg0-4) unstable; urgency=medium

  * Replace autotools-dev with dh-autoreconf. (Closes: #734035)
  * Enable parallel builds.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Apr 2014 00:42:31 +0100

libnjb (2.2.7~dfsg0-3) unstable; urgency=low

  * Introduce Multi-Arch.
  * Drop static library.
  * Rename libnjb-examples to libnjb-tools, indeed the are useful
    for communicating with the devices via command line.
  * Install links to njb tools into /usr/bin/.

 -- Alessio Treglia <alessio@debian.org>  Mon, 16 Jan 2012 20:01:56 +0100

libnjb (2.2.7~dfsg0-2) unstable; urgency=low

  * Fix FTBFS due to a wrong handling of the arch-indep
    packages (Closes: #632324)

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jul 2011 10:27:35 +0200

libnjb (2.2.7~dfsg0-1) unstable; urgency=low

  * New maintainer (Closes: #540941).
  * New upstream release.
  * Add Homepage field.
  * Add missing misc:Depends macro to Depends fields.
  * Sort build-deps, bump DH compatibility to 7.
  * Demote doxygen to Build-Depends-Indep.
  * Drop chrpath from Build-Depends.
  * Add symbols file.
  * Add doc-base control file.
  * Properly install html docs.
  * Remove hotplug files, they aren't needed anymore. (Closes: #461403)
  * Switch to DH7 pure-form.
  * Switch packaging to 3.0 (quilt) format.
  * Remove debian/libnjb.rules, now provided by upstream.
  * Fix udev's rules file to comply with our policies.
  * Move udev rules from /etc/udev/rules.d to /lib/udev/rules.d and
    remove the old and useless debian/libnjb5.links file.
  * Handle the removal of the ancient /etc/udev/rules.d/libnjb.rules file.
  * Improve packages description.
  * Fix lintian's binary-control-field-duplicates-source warning.
  * debian/watch:
    - Handle ~dfsg[0-9] suffix.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jun 2011 15:04:53 +0200

libnjb (2.2.5-5) unstable; urgency=low

  * QA upload.
  * Move libnjb-doc to doc section (Closes: #515928).
  * Don't ship .la files (Closes: #621533).
  * Add libncurses5-dev to build dependencies (Closes: #597142).
  * Replace SYSFS with ATTR in udev rules (Closes: #560700).

 -- Luk Claes <luk@debian.org>  Sun, 19 Jun 2011 09:18:54 +0200

libnjb (2.2.5-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix uninstallability on GNU/kFreeBSD (Closes: #545962): Mark udev as
    Linux-specific in Depends, and get rid of hotplug entirely, which
    disappeared a while ago. Thanks to Petr Salinger.
  * Fix FTBFS on avr32 (Closes: #529458):
     - Update config.{guess,sub} before running configure.
     - Remove them in the clean target to keep the Debian diff clean.
     - Add autotools-dev to Build-Depends accordingly.
     - Thanks to Bradley Smith for his report.
  * Fix some lintian warnings and errors:
     - Stop ignoring errors in make distclean.
     - Use ${binary:Version} instead of obsolete ${Source-Version}.
     - Declare the needed version for debhelper in Build-Depends.
     - Use the SF redirector for debian/watch.
     - Fix “transferring” typo in long description.
     - Strip the RPATH in all binaries. At least right now, all of them
       point to /usr/lib, so there's no reason not to get rid of them
       AFAICT. Use chrpath for that, and add it to Build-Depends.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 09:50:03 +0100

libnjb (2.2.5-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Fix bashism. (Closes: #459189)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 23 Jan 2008 19:24:59 +0100

libnjb (2.2.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build when gain-root command is sudo.

 -- Luk Claes <luk@debian.org>  Sat, 12 Aug 2006 19:42:36 +0200

libnjb (2.2.5-4) unstable; urgency=low

  * New maintainer. Closes: #361719

 -- John Bovey <jdb@kent.ac.uk>  Wed, 26 Apr 2006 14:41:59 +0100

libnjb (2.2.5-3) unstable; urgency=low

  * Replace and conflict with libnjb-hotplug. Closes: #353238.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 19 Feb 2006 11:56:33 -0700

libnjb (2.2.5-2) unstable; urgency=low

  * Fix the udev rules script to support libusb 0.1.10a-22.
    Closes: #349036.

 -- Shaun Jackman <sjackman@debian.org>  Wed,  1 Feb 2006 00:07:26 -0700

libnjb (2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 31 Jan 2006 23:20:09 -0700

libnjb (2.2.4-2) unstable; urgency=low

  * Add udev support. Closes: #337790, #338741. Thanks to kaouete.
  * Depend on udev | hotplug.
  * Merge the libnjb-hotplug package into libnjb5.
  * Update config.guess to 2005-08-03 and config.sub to 2005-07-08.
    Closes: #343291.
  * Update the policy version to 3.6.2.2. No changes necessary.

 -- Shaun Jackman <sjackman@debian.org>  Sun, 15 Jan 2006 23:40:54 -0700

libnjb (2.2.4-1) unstable; urgency=low

  * New upstream release. Closes: #343039.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 13 Dec 2005 21:22:33 -0700

libnjb (2.2.3-1) unstable; urgency=low


