=== debian/control ===
Source: libnjb
Section: libs
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~),
 dh-autoreconf,
 libncurses5-dev,
 libusb-dev
Build-Depends-Indep:
 doxygen
Standards-Version: 3.9.5
Homepage: http://libnjb.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/libnjb.git
Vcs-Browser: https://salsa.debian.org/debian/libnjb

Package: libnjb5
Architecture: any
Multi-Arch: same
Pre-Depends:
 dpkg (>= 1.15.7.2),
 ${misc:Pre-Depends}
Depends:
 udev [linux-any],
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libnjb-hotplug
Replaces:
 libnjb-hotplug
Description: Creative Labs Nomad Jukebox library
 libnjb is a C library and API for communicating with the Creative
 NOMAD JukeBox and Dell DJ digital audio. The protocol these devices
 use is presumably called PDE (Portable Digital Entertainment protocol)
 at Creative. Newer devices using the Microsoft MTP (Media Transfer
 Protocol) are not supported.
 .
 This package contains the shared library.

Package: libnjb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnjb5 (= ${binary:Version}),
 libusb-dev (>> 0.1.7),
 ${misc:Depends}
Description: Creative Labs Nomad Jukebox library development files
 libnjb is a C library and API for communicating with the Creative
 NOMAD JukeBox and Dell DJ digital audio. The protocol these devices
 use is presumably called PDE (Portable Digital Entertainment protocol)
 at Creative. Newer devices using the Microsoft MTP (Media Transfer
 Protocol) are not supported.
 .
 This package contains the headers and development libraries.

Package: libnjb-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: Creative Labs Nomad Jukebox library documentation
 libnjb is a C library and API for communicating with the Creative
 NOMAD JukeBox and Dell DJ digital audio. The protocol these devices
 use is presumably called PDE (Portable Digital Entertainment protocol)
 at Creative. Newer devices using the Microsoft MTP (Media Transfer
 Protocol) are not supported.
 .
 This package contains the development documentation.

Package: libnjb-tools
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libnjb-examples (<< 2.2.7~dfsg0-3~)
Replaces:
 libnjb-examples (<< 2.2.7~dfsg0-3~)
Description: Creative Labs Nomad Jukebox library tools
 libnjb is a C library and API for communicating with the Creative
 NOMAD JukeBox and Dell DJ digital audio. The protocol these devices
 use is presumably called PDE (Portable Digital Entertainment protocol)
 at Creative. Newer devices using the Microsoft MTP (Media Transfer
 Protocol) are not supported.
 .
 This package contains the library tools each performing a simple
 function, such as transferring a track to the jukebox. The source
 code for these tools is in the package libnjb-doc.
