=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -f 45-libnjb.rules

override_dh_auto_build:
	dh_auto_build
ifeq ($(shell dpkg-query -s doxygen 1>/dev/null 2>&1 && echo yes),yes)
	cd doc/man/man3 && \
		rm -f _* *.[ch].3 && \
		for i in *.3; do \
			if [ `echo "$$i" | sed -e 's/^\(....\).\+/\1/'` != "njb_" ]; then \
				mv $$i njb_$$i; \
			fi \
		done
endif
	cp libnjb.rules 45-libnjb.rules

override_dh_install:
	dh_install -plibnjb-tools
	mkdir -p $(CURDIR)/debian/libnjb-tools/usr/bin
	cd $(CURDIR)/debian/libnjb-tools/usr/bin && \
        for file in `ls ../lib/libnjb/`; do \
           ln -s ../lib/libnjb/$$file $$file ; \
        done
	dh_install --remaining-packages
